if (ScriptUI.environment.keyboardState.shiftKey) {
    if (app) {
        try {
            Select1();
        } catch (e) {
            alert("请创建任意一个2分频。");
        }
    }

    function Select1() {
        var idslct = charIDToTypeID("slct");
        var desc3 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref2 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref2.putName(idLyr, "Volume_R=Manual");
        desc3.putReference(idnull, ref2);
        var idMkVs = charIDToTypeID("MkVs");
        desc3.putBoolean(idMkVs, false);
        executeAction(idslct, desc3, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc4 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref3 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref3.putEnumerated(idLyr, idOrdn, idTrgt);
        list2.putReference(ref3);
        desc4.putList(idnull, list2);
        executeAction(idShw, desc4, DialogModes.NO);
    }
    if (app) {
        try {
            Select2();
        } catch (e) {

        }
    }

    function Select2() {
        var idslct = charIDToTypeID("slct");
        var desc5 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref4 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref4.putName(idLyr, "Volume_Retouch");
        desc5.putReference(idnull, ref4);
        var idMkVs = charIDToTypeID("MkVs");
        desc5.putBoolean(idMkVs, false);
        executeAction(idslct, desc5, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc6 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list3 = new ActionList();
        var ref5 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref5.putEnumerated(idLyr, idOrdn, idTrgt);
        list3.putReference(ref5);
        desc6.putList(idnull, list3);
        executeAction(idShw, desc6, DialogModes.NO);
    }
    if (app) {
        try {
            Select12();
        } catch (e) {

        }
    }

    function Select12() {
        var idslct = charIDToTypeID("slct");
        var desc5 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref4 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref4.putName(idLyr, "Mid");
        desc5.putReference(idnull, ref4);
        var idMkVs = charIDToTypeID("MkVs");
        desc5.putBoolean(idMkVs, false);
        executeAction(idslct, desc5, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc6 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list3 = new ActionList();
        var ref5 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref5.putEnumerated(idLyr, idOrdn, idTrgt);
        list3.putReference(ref5);
        desc6.putList(idnull, list3);
        executeAction(idShw, desc6, DialogModes.NO);
    }
    if (app) {
        try {
            Select14();
        } catch (e) {

        }
    }

    function Select14() {
        var idslct = charIDToTypeID("slct");
        var desc5 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref4 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref4.putName(idLyr, "Mid_Retouch");
        desc5.putReference(idnull, ref4);
        var idMkVs = charIDToTypeID("MkVs");
        desc5.putBoolean(idMkVs, false);
        executeAction(idslct, desc5, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc6 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list3 = new ActionList();
        var ref5 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref5.putEnumerated(idLyr, idOrdn, idTrgt);
        list3.putReference(ref5);
        desc6.putList(idnull, list3);
        executeAction(idShw, desc6, DialogModes.NO);
    }
    if (app) {
        try {
            Select15();
        } catch (e) {

        }
    }

    function Select15() {
        var idslct = charIDToTypeID("slct");
        var desc5 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref4 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref4.putName(idLyr, "Volume");
        desc5.putReference(idnull, ref4);
        var idMkVs = charIDToTypeID("MkVs");
        desc5.putBoolean(idMkVs, false);
        executeAction(idslct, desc5, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc6 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list3 = new ActionList();
        var ref5 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref5.putEnumerated(idLyr, idOrdn, idTrgt);
        list3.putReference(ref5);
        desc6.putList(idnull, list3);
        executeAction(idShw, desc6, DialogModes.NO);
    }
    if (app) {
        try {
            Select3();
        } catch (e) {

        }
    }

    function Select3() {
        var idslct = charIDToTypeID("slct");
        var desc7 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref6 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref6.putName(idLyr, "Texture_R=Manual");
        desc7.putReference(idnull, ref6);
        var idMkVs = charIDToTypeID("MkVs");
        desc7.putBoolean(idMkVs, false);
        executeAction(idslct, desc7, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc8 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list4 = new ActionList();
        var ref7 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref7.putEnumerated(idLyr, idOrdn, idTrgt);
        list4.putReference(ref7);
        desc8.putList(idnull, list4);
        executeAction(idShw, desc8, DialogModes.NO);
    }
    if (app) {
        try {
            Select4();
        } catch (e) {

        }
    }

    function Select4() {
        var idslct = charIDToTypeID("slct");
        var desc9 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref8 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref8.putName(idLyr, "Texture_Retouch");
        desc9.putReference(idnull, ref8);
        var idMkVs = charIDToTypeID("MkVs");
        desc9.putBoolean(idMkVs, false);
        executeAction(idslct, desc9, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc10 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list5 = new ActionList();
        var ref9 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref9.putEnumerated(idLyr, idOrdn, idTrgt);
        list5.putReference(ref9);
        desc10.putList(idnull, list5);
        executeAction(idShw, desc10, DialogModes.NO);
    }
} else {
    if (app) {
        try {
            Select1();
        } catch (e) {

        }
    }

    function Select1() {
        var idslct = charIDToTypeID("slct");
        var desc4 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref3 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref3.putName(idLyr, "Volume_R=Manual");
        desc4.putReference(idnull, ref3);
        var idMkVs = charIDToTypeID("MkVs");
        desc4.putBoolean(idMkVs, false);
        executeAction(idslct, desc4, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc7 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref6 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref6.putName(idLyr, "Volume_R=Manual");
        list2.putReference(ref6);
        desc7.putList(idnull, list2);
        var idTglO = charIDToTypeID("TglO");
        desc7.putBoolean(idTglO, true);
        executeAction(idShw, desc7, DialogModes.NO);
        var idslct = charIDToTypeID("slct");
        var desc3 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref2 = new ActionReference();
        var idMixB = charIDToTypeID("MixB");
        ref2.putClass(idMixB);
        desc3.putReference(idnull, ref2);
        executeAction(idslct, desc3, DialogModes.NO);
    }
    if (app) {
        try {
            Select2();
        } catch (e) {
            alert("请创建任意一个2分频。");
        }
    }

    function Select2() {
        var idslct = charIDToTypeID("slct");
        var desc5 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref4 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref4.putName(idLyr, "Volume_Retouch");
        desc5.putReference(idnull, ref4);
        var idMkVs = charIDToTypeID("MkVs");
        desc5.putBoolean(idMkVs, false);
        executeAction(idslct, desc5, DialogModes.NO);
        var idShw = charIDToTypeID("Shw ");
        var desc7 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var list2 = new ActionList();
        var ref6 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref6.putName(idLyr, "Volume_Retouch");
        list2.putReference(ref6);
        desc7.putList(idnull, list2);
        var idTglO = charIDToTypeID("TglO");
        desc7.putBoolean(idTglO, true);
        executeAction(idShw, desc7, DialogModes.NO);
        var idslct = charIDToTypeID("slct");
        var desc6 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref5 = new ActionReference();
        var idMixB = charIDToTypeID("MixB");
        ref5.putClass(idMixB);
        desc6.putReference(idnull, ref5);
        executeAction(idslct, desc6, DialogModes.NO);
    }
}